package Fixtures::Integration::Server;

# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.


# Do not edit! Generated code.
# See https://github.com/Comcast/traffic_control/wiki/The%20Kabletown%20example

use Moose;
extends 'DBIx::Class::EasyFixture';
use namespace::autoclean;

my %definition_for = (
	## id => 1
	'0' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-00',
			ilo_ip_gateway => '172.16.2.1',
			interface_name => 'bond0',
			phys_location => '3',
			cachegroup => '9',
			domain_name => 'chi.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::2:1',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.2.6',
			interface_mtu => '9000',
			router_host_name => 'rtr-chi.kabletown.net',
			router_port_name => '2',
			xmpp_id => 'atsec-chi-00-dummyxmpp',
			ilo_ip_netmask => '255.255.255.0',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			status => '6',
			upd_pending => '0',
			ilo_password => '',
			ilo_username => '',
			xmpp_passwd => 'X',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			profile => '5',
			type => '13',
			cdn_id => '1',
			ip6_address => '2033:D0D0:3300::2:2/64',
			ip_address => '10.10.2.2',
			ip_gateway => '10.10.2.1',
			tcp_port => '80',
		},
	},
	## id => 2
	'1' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-01',
			domain_name => 'chi.kabletown.net',
			mgmt_ip_netmask => '',
			upd_pending => '0',
			ip_address => '10.10.2.3',
			type => '13',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D0:3300::2:1',
			phys_location => '3',
			xmpp_passwd => 'X',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			router_port_name => '2',
			status => '6',
			cachegroup => '9',
			cdn_id => '1',
			ilo_ip_address => '172.16.2.7',
			ilo_password => '',
			ilo_ip_gateway => '172.16.2.1',
			ip_gateway => '10.10.2.1',
			last_updated => '2015-12-10 15:44:37',
			profile => '5',
			xmpp_id => 'atsec-chi-01-dummyxmpp',
			mgmt_ip_gateway => '',
			router_host_name => 'rtr-chi.kabletown.net',
			tcp_port => '80',
			ilo_username => '',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::2:3/64',
			mgmt_ip_address => '',
		},
	},
	## id => 3
	'2' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-02',
			cdn_id => '1',
			interface_mtu => '9000',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.16.2.1',
			type => '13',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			ip6_address => '2033:D0D0:3300::2:4/64',
			mgmt_ip_gateway => '',
			cachegroup => '9',
			ilo_password => '',
			last_updated => '2015-12-10 15:44:37',
			router_port_name => '2',
			interface_name => 'bond0',
			profile => '5',
			status => '6',
			tcp_port => '80',
			xmpp_id => 'atsec-chi-02-dummyxmpp',
			domain_name => 'chi.kabletown.net',
			ip_address => '10.10.2.4',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			phys_location => '3',
			router_host_name => 'rtr-chi.kabletown.net',
			upd_pending => '0',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.2.8',
			ip6_gateway => '2033:D0D0:3300::2:1',
			ip_gateway => '10.10.2.1',
		},
	},
	## id => 4
	'3' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-03',
			interface_mtu => '9000',
			mgmt_ip_netmask => '',
			router_host_name => 'rtr-chi.kabletown.net',
			tcp_port => '80',
			ilo_ip_gateway => '172.16.2.1',
			ip_address => '10.10.2.5',
			mgmt_ip_address => '',
			phys_location => '3',
			ip6_gateway => '2033:D0D0:3300::2:1',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.2.9',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::2:5/64',
			cdn_id => '1',
			ilo_username => '',
			router_port_name => '2',
			type => '13',
			cachegroup => '9',
			domain_name => 'chi.kabletown.net',
			interface_name => 'bond0',
			ip_gateway => '10.10.2.1',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			profile => '5',
			upd_pending => '0',
			xmpp_id => 'atsec-chi-03-dummyxmpp',
			last_updated => '2015-12-10 15:44:37',
			status => '6',
			xmpp_passwd => 'X',
		},
	},
	## id => 5
	'4' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-04',
			mgmt_ip_address => '',
			upd_pending => '0',
			last_updated => '2015-12-10 15:44:37',
			interface_mtu => '9000',
			profile => '7',
			domain_name => 'chi.kabletown.net',
			mgmt_ip_gateway => '',
			phys_location => '4',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::2:6/64',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			router_host_name => 'rtr-chi.kabletown.net',
			xmpp_id => 'atsec-chi-04-dummyxmpp',
			ilo_ip_gateway => '172.16.2.1',
			ip_address => '10.10.2.6',
			ip_gateway => '10.10.2.1',
			rack => 'RR 119.02',
			type => '13',
			cachegroup => '9',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ilo_username => '',
			router_port_name => '2',
			tcp_port => '80',
			cdn_id => '2',
			ilo_ip_address => '172.16.2.10',
			ip6_gateway => '2033:D0D0:3300::2:1',
			status => '6',
			xmpp_passwd => 'X',
		},
	},
	## id => 6
	'5' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-05',
			ilo_ip_address => '172.16.2.11',
			ilo_ip_gateway => '172.16.2.1',
			router_host_name => 'rtr-chi.kabletown.net',
			domain_name => 'chi.kabletown.net',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			status => '6',
			cachegroup => '9',
			ilo_username => '',
			xmpp_id => 'atsec-chi-05-dummyxmpp',
			profile => '7',
			ip_gateway => '10.10.2.1',
			tcp_port => '80',
			upd_pending => '0',
			xmpp_passwd => 'X',
			ilo_password => '',
			ip_address => '10.10.2.7',
			phys_location => '4',
			rack => 'RR 119.02',
			ip6_address => '2033:D0D0:3300::2:7/64',
			mgmt_ip_gateway => '',
			router_port_name => '2',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::2:1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			type => '13',
			cdn_id => '2',
			ilo_ip_netmask => '255.255.255.0',
		},
	},
	## id => 7
	'6' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-06',
			type => '13',
			cachegroup => '9',
			ip_address => '10.10.2.8',
			mgmt_ip_address => '',
			router_port_name => '2',
			ilo_ip_gateway => '172.16.2.1',
			ip_gateway => '10.10.2.1',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			interface_mtu => '9000',
			interface_name => 'bond0',
			phys_location => '4',
			mgmt_ip_gateway => '',
			xmpp_passwd => 'X',
			ilo_password => '',
			ip6_gateway => '2033:D0D0:3300::2:1',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.2.12',
			tcp_port => '80',
			xmpp_id => 'atsec-chi-06-dummyxmpp',
			cdn_id => '2',
			profile => '7',
			router_host_name => 'rtr-chi.kabletown.net',
			status => '6',
			ip6_address => '2033:D0D0:3300::2:8/64',
			last_updated => '2015-12-10 15:44:37',
			upd_pending => '0',
			domain_name => 'chi.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
		},
	},
	## id => 8
	'7' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-07',
			ip_address => '10.10.2.9',
			last_updated => '2015-12-10 15:44:37',
			xmpp_id => 'atsec-chi-07-dummyxmpp',
			xmpp_passwd => 'X',
			ilo_username => '',
			phys_location => '4',
			profile => '7',
			tcp_port => '80',
			upd_pending => '0',
			mgmt_ip_netmask => '',
			cachegroup => '9',
			ilo_password => '',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ilo_ip_gateway => '172.16.2.1',
			ip6_gateway => '2033:D0D0:3300::2:1',
			router_host_name => 'rtr-chi.kabletown.net',
			ip6_address => '2033:D0D0:3300::2:9/64',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			router_port_name => '2',
			ilo_ip_address => '172.16.2.13',
			rack => 'RR 119.02',
			status => '6',
			domain_name => 'chi.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip_gateway => '10.10.2.1',
			mgmt_ip_gateway => '',
			cdn_id => '2',
			type => '13',
		},
	},
	## id => 9
	'8' => {
		new => 'Server',
		using => {
			host_name => 'atsec-chi-08',
			ilo_ip_address => '172.16.2.14',
			ilo_ip_gateway => '172.16.2.1',
			mgmt_ip_netmask => '',
			router_port_name => '2',
			cdn_id => '2',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ip_gateway => '10.10.2.1',
			ilo_username => '',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '4',
			status => '6',
			ip_address => '10.10.2.10',
			upd_pending => '0',
			rack => 'RR 119.02',
			tcp_port => '80',
			cachegroup => '9',
			interface_mtu => '9000',
			ip6_gateway => '2033:D0D0:3300::2:1',
			mgmt_ip_address => '',
			profile => '7',
			router_host_name => 'rtr-chi.kabletown.net',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::2:10/64',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			type => '13',
			domain_name => 'chi.kabletown.net',
			xmpp_id => 'atsec-chi-08-dummyxmpp',
			xmpp_passwd => 'X',
		},
	},
	## id => 10
	'9' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-00',
			ilo_ip_address => '172.16.5.6',
			interface_name => 'bond0',
			ip_address => '10.10.5.2',
			type => '13',
			xmpp_id => 'atsec-den-00-dummyxmpp',
			cdn_id => '1',
			ilo_ip_gateway => '172.16.5.1',
			ilo_password => '',
			interface_mtu => '9000',
			ip6_gateway => '2033:D0D0:3300::5:1',
			mgmt_ip_address => '',
			domain_name => 'den.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			mgmt_ip_gateway => '',
			tcp_port => '80',
			ip_gateway => '10.10.5.1',
			rack => 'RR 119.02',
			phys_location => '5',
			profile => '5',
			cachegroup => '8',
			xmpp_passwd => 'X',
			ip6_address => '2033:D0D0:3300::5:2/64',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			ip_netmask => '255.255.255.0',
			router_host_name => 'rtr-den.kabletown.net',
			router_port_name => '5',
			status => '6',
			upd_pending => '0',
		},
	},
	## id => 11
	'10' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-01',
			domain_name => 'den.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::5:1',
			xmpp_passwd => 'X',
			cachegroup => '8',
			ilo_password => '',
			interface_mtu => '9000',
			ip6_address => '2033:D0D0:3300::5:3/64',
			upd_pending => '0',
			ilo_ip_gateway => '172.16.5.1',
			ilo_username => '',
			rack => 'RR 119.02',
			router_port_name => '5',
			mgmt_ip_netmask => '',
			type => '13',
			xmpp_id => 'atsec-den-01-dummyxmpp',
			cdn_id => '1',
			ilo_ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			ip_address => '10.10.5.3',
			profile => '5',
			router_host_name => 'rtr-den.kabletown.net',
			status => '6',
			ilo_ip_address => '172.16.5.7',
			interface_name => 'bond0',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			phys_location => '5',
			tcp_port => '80',
			ip_gateway => '10.10.5.1',
		},
	},
	## id => 12
	'11' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-02',
			ilo_ip_address => '172.16.5.8',
			mgmt_ip_address => '',
			router_port_name => '5',
			ip_address => '10.10.5.4',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			type => '13',
			ilo_username => '',
			interface_mtu => '9000',
			ip_gateway => '10.10.5.1',
			tcp_port => '80',
			upd_pending => '0',
			status => '6',
			domain_name => 'den.kabletown.net',
			phys_location => '5',
			profile => '5',
			cachegroup => '8',
			cdn_id => '1',
			ip6_gateway => '2033:D0D0:3300::5:1',
			xmpp_id => 'atsec-den-02-dummyxmpp',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::5:4/64',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			router_host_name => 'rtr-den.kabletown.net',
			ilo_ip_gateway => '172.16.5.1',
			ilo_ip_netmask => '255.255.255.0',
			interface_name => 'bond0',
			last_updated => '2015-12-10 15:44:37',
			xmpp_passwd => 'X',
		},
	},
	## id => 13
	'12' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-03',
			mgmt_ip_netmask => '',
			status => '6',
			cdn_id => '1',
			domain_name => 'den.kabletown.net',
			ilo_ip_address => '172.16.5.9',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::5:5/64',
			xmpp_passwd => 'X',
			ip_address => '10.10.5.5',
			type => '13',
			ip6_gateway => '2033:D0D0:3300::5:1',
			ip_netmask => '255.255.255.0',
			phys_location => '5',
			profile => '5',
			upd_pending => '0',
			ilo_ip_gateway => '172.16.5.1',
			rack => 'RR 119.02',
			interface_name => 'bond0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			router_host_name => 'rtr-den.kabletown.net',
			cachegroup => '8',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			mgmt_ip_address => '',
			ilo_username => '',
			xmpp_id => 'atsec-den-03-dummyxmpp',
			ip_gateway => '10.10.5.1',
			router_port_name => '5',
			tcp_port => '80',
		},
	},
	## id => 14
	'13' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-04',
			domain_name => 'den.kabletown.net',
			ilo_ip_address => '172.16.5.10',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::5:1',
			mgmt_ip_address => '',
			router_host_name => 'rtr-den.kabletown.net',
			upd_pending => '0',
			cdn_id => '2',
			ip_netmask => '255.255.255.0',
			cachegroup => '8',
			type => '13',
			phys_location => '6',
			interface_name => 'bond0',
			ilo_ip_netmask => '255.255.255.0',
			ilo_ip_gateway => '172.16.5.1',
			ip6_address => '2033:D0D0:3300::5:6/64',
			profile => '7',
			ip_gateway => '10.10.5.1',
			last_updated => '2015-12-10 15:44:37',
			rack => 'RR 119.02',
			status => '6',
			ip_address => '10.10.5.6',
			interface_mtu => '9000',
			mgmt_ip_gateway => '',
			router_port_name => '5',
			tcp_port => '80',
			xmpp_passwd => 'X',
			mgmt_ip_netmask => '',
			xmpp_id => 'atsec-den-04-dummyxmpp',
			ilo_password => '',
		},
	},
	## id => 15
	'14' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-05',
			cachegroup => '8',
			ilo_username => '',
			interface_name => 'bond0',
			ip_address => '10.10.5.7',
			ip6_gateway => '2033:D0D0:3300::5:1',
			ip_gateway => '10.10.5.1',
			mgmt_ip_gateway => '',
			profile => '7',
			router_host_name => 'rtr-den.kabletown.net',
			ilo_ip_gateway => '172.16.5.1',
			ilo_password => '',
			last_updated => '2015-12-10 15:44:37',
			status => '6',
			upd_pending => '0',
			xmpp_passwd => 'X',
			interface_mtu => '9000',
			router_port_name => '5',
			cdn_id => '2',
			ip_netmask => '255.255.255.0',
			tcp_port => '80',
			type => '13',
			xmpp_id => 'atsec-den-05-dummyxmpp',
			domain_name => 'den.kabletown.net',
			ilo_ip_address => '172.16.5.11',
			ilo_ip_netmask => '255.255.255.0',
			ip6_address => '2033:D0D0:3300::5:7/64',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			phys_location => '6',
			rack => 'RR 119.02',
		},
	},
	## id => 16
	'15' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-06',
			ilo_ip_netmask => '255.255.255.0',
			ip6_address => '2033:D0D0:3300::5:8/64',
			rack => 'RR 119.02',
			router_host_name => 'rtr-den.kabletown.net',
			cdn_id => '2',
			domain_name => 'den.kabletown.net',
			ilo_ip_gateway => '172.16.5.1',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::5:1',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			phys_location => '6',
			status => '6',
			upd_pending => '0',
			xmpp_id => 'atsec-den-06-dummyxmpp',
			cachegroup => '8',
			ilo_ip_address => '172.16.5.12',
			interface_name => 'bond0',
			ip_gateway => '10.10.5.1',
			profile => '7',
			xmpp_passwd => 'X',
			ilo_password => '',
			ip_address => '10.10.5.8',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			router_port_name => '5',
			tcp_port => '80',
			interface_mtu => '9000',
			mgmt_ip_netmask => '',
			type => '13',
		},
	},
	## id => 17
	'16' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-07',
			interface_mtu => '9000',
			interface_name => 'bond0',
			rack => 'RR 119.02',
			mgmt_ip_address => '',
			cdn_id => '2',
			domain_name => 'den.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::5:1',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			status => '6',
			cachegroup => '8',
			ip_address => '10.10.5.9',
			type => '13',
			ilo_password => '',
			ilo_ip_address => '172.16.5.13',
			router_port_name => '5',
			tcp_port => '80',
			ip_gateway => '10.10.5.1',
			profile => '7',
			ip6_address => '2033:D0D0:3300::5:9/64',
			xmpp_id => 'atsec-den-07-dummyxmpp',
			xmpp_passwd => 'X',
			router_host_name => 'rtr-den.kabletown.net',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			phys_location => '6',
			upd_pending => '0',
			ilo_ip_gateway => '172.16.5.1',
		},
	},
	## id => 18
	'17' => {
		new => 'Server',
		using => {
			host_name => 'atsec-den-08',
			ip_address => '10.10.5.10',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			cdn_id => '2',
			ip6_gateway => '2033:D0D0:3300::5:1',
			phys_location => '6',
			domain_name => 'den.kabletown.net',
			interface_mtu => '9000',
			ilo_password => '',
			interface_name => 'bond0',
			router_host_name => 'rtr-den.kabletown.net',
			status => '6',
			cachegroup => '8',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			profile => '7',
			type => '13',
			upd_pending => '0',
			xmpp_passwd => 'X',
			mgmt_ip_address => '',
			ilo_ip_gateway => '172.16.5.1',
			tcp_port => '80',
			ilo_ip_address => '172.16.5.14',
			router_port_name => '5',
			xmpp_id => 'atsec-den-08-dummyxmpp',
			ip6_address => '2033:D0D0:3300::5:10/64',
			ip_gateway => '10.10.5.1',
			ilo_username => '',
		},
	},
	## id => 19
	'18' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-00',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::3:1',
			last_updated => '2015-12-10 15:44:37',
			xmpp_id => 'atsec-hou-00-dummyxmpp',
			ilo_ip_gateway => '172.16.3.1',
			interface_name => 'bond0',
			type => '13',
			router_host_name => 'rtr-hou.kabletown.net',
			status => '6',
			upd_pending => '0',
			cachegroup => '12',
			ilo_ip_address => '172.16.3.6',
			mgmt_ip_address => '',
			cdn_id => '1',
			ilo_password => '',
			tcp_port => '80',
			mgmt_ip_gateway => '',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			domain_name => 'hou.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip6_address => '2033:D0D0:3300::3:2/64',
			ip_gateway => '10.10.3.1',
			router_port_name => '3',
			ip_address => '10.10.3.2',
			profile => '5',
			rack => 'RR 119.02',
			phys_location => '7',
			interface_mtu => '9000',
			ip_netmask => '255.255.255.0',
		},
	},
	## id => 20
	'19' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-01',
			cachegroup => '12',
			ilo_password => '',
			interface_name => 'bond0',
			ip_gateway => '10.10.3.1',
			router_host_name => 'rtr-hou.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			rack => 'RR 119.02',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.3.7',
			interface_mtu => '9000',
			mgmt_ip_address => '',
			domain_name => 'hou.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::3:1',
			phys_location => '7',
			profile => '5',
			ilo_ip_gateway => '172.16.3.1',
			mgmt_ip_netmask => '',
			tcp_port => '80',
			cdn_id => '1',
			ip_address => '10.10.3.3',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			router_port_name => '3',
			status => '6',
			type => '13',
			xmpp_id => 'atsec-hou-01-dummyxmpp',
			ip6_address => '2033:D0D0:3300::3:3/64',
			last_updated => '2015-12-10 15:44:36',
			upd_pending => '0',
		},
	},
	## id => 21
	'20' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-02',
			upd_pending => '0',
			cdn_id => '1',
			router_port_name => '3',
			ip6_address => '2033:D0D0:3300::3:4/64',
			tcp_port => '80',
			ilo_password => '',
			rack => 'RR 119.02',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.10.3.4',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			type => '13',
			ilo_ip_gateway => '172.16.3.1',
			interface_name => 'bond0',
			profile => '5',
			status => '6',
			xmpp_id => 'atsec-hou-02-dummyxmpp',
			domain_name => 'hou.kabletown.net',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.3.8',
			ip6_gateway => '2033:D0D0:3300::3:1',
			mgmt_ip_address => '',
			phys_location => '7',
			router_host_name => 'rtr-hou.kabletown.net',
			ip_gateway => '10.10.3.1',
			ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			cachegroup => '12',
			ilo_username => '',
		},
	},
	## id => 22
	'21' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-03',
			ilo_ip_address => '172.16.3.9',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			upd_pending => '0',
			domain_name => 'hou.kabletown.net',
			ilo_ip_gateway => '172.16.3.1',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			status => '6',
			xmpp_passwd => 'X',
			cachegroup => '12',
			mgmt_ip_netmask => '',
			router_port_name => '3',
			ip_address => '10.10.3.5',
			xmpp_id => 'atsec-hou-03-dummyxmpp',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::3:5/64',
			cdn_id => '1',
			ip6_gateway => '2033:D0D0:3300::3:1',
			ip_gateway => '10.10.3.1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			profile => '5',
			router_host_name => 'rtr-hou.kabletown.net',
			tcp_port => '80',
			type => '13',
			interface_name => 'bond0',
			phys_location => '7',
			rack => 'RR 119.02',
		},
	},
	## id => 23
	'22' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-04',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			ip6_address => '2033:D0D0:3300::3:6/64',
			tcp_port => '80',
			domain_name => 'hou.kabletown.net',
			ilo_username => '',
			ip_address => '10.10.3.6',
			ilo_password => '',
			ip6_gateway => '2033:D0D0:3300::3:1',
			mgmt_ip_netmask => '',
			status => '6',
			xmpp_passwd => 'X',
			cdn_id => '2',
			type => '13',
			interface_name => 'bond0',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			router_host_name => 'rtr-hou.kabletown.net',
			router_port_name => '3',
			mgmt_ip_address => '',
			cachegroup => '12',
			ip_gateway => '10.10.3.1',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			profile => '7',
			upd_pending => '0',
			xmpp_id => 'atsec-hou-04-dummyxmpp',
			ilo_ip_address => '172.16.3.10',
			ilo_ip_gateway => '172.16.3.1',
			phys_location => '8',
		},
	},
	## id => 24
	'23' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-05',
			domain_name => 'hou.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::3:1',
			profile => '7',
			rack => 'RR 119.02',
			cachegroup => '12',
			ilo_ip_gateway => '172.16.3.1',
			interface_mtu => '9000',
			ip_gateway => '10.10.3.1',
			mgmt_ip_gateway => '',
			last_updated => '2015-12-10 15:44:37',
			router_host_name => 'rtr-hou.kabletown.net',
			status => '6',
			xmpp_passwd => 'X',
			ilo_ip_netmask => '255.255.255.0',
			type => '13',
			ilo_password => '',
			ilo_username => '',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::3:7/64',
			mgmt_ip_netmask => '',
			phys_location => '8',
			tcp_port => '80',
			upd_pending => '0',
			ip_address => '10.10.3.7',
			cdn_id => '2',
			ilo_ip_address => '172.16.3.11',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			xmpp_id => 'atsec-hou-05-dummyxmpp',
			router_port_name => '3',
		},
	},
	## id => 25
	'24' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-06',
			ilo_ip_address => '172.16.3.12',
			ip_gateway => '10.10.3.1',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			ilo_ip_gateway => '172.16.3.1',
			mgmt_ip_netmask => '',
			phys_location => '8',
			status => '6',
			tcp_port => '80',
			cdn_id => '2',
			interface_mtu => '9000',
			ip6_gateway => '2033:D0D0:3300::3:1',
			upd_pending => '0',
			xmpp_id => 'atsec-hou-06-dummyxmpp',
			ilo_password => '',
			interface_name => 'bond0',
			ilo_ip_netmask => '255.255.255.0',
			profile => '7',
			ilo_username => '',
			rack => 'RR 119.02',
			cachegroup => '12',
			domain_name => 'hou.kabletown.net',
			xmpp_passwd => 'X',
			ip6_address => '2033:D0D0:3300::3:8/64',
			router_port_name => '3',
			mgmt_ip_address => '',
			router_host_name => 'rtr-hou.kabletown.net',
			type => '13',
			ip_address => '10.10.3.8',
		},
	},
	## id => 26
	'25' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-07',
			domain_name => 'hou.kabletown.net',
			ilo_ip_gateway => '172.16.3.1',
			ip6_address => '2033:D0D0:3300::3:9/64',
			ip_address => '10.10.3.9',
			ip6_gateway => '2033:D0D0:3300::3:1',
			xmpp_id => 'atsec-hou-07-dummyxmpp',
			cachegroup => '12',
			ilo_ip_netmask => '255.255.255.0',
			ip_gateway => '10.10.3.1',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.3.13',
			interface_name => 'bond0',
			router_host_name => 'rtr-hou.kabletown.net',
			status => '6',
			type => '13',
			profile => '7',
			router_port_name => '3',
			tcp_port => '80',
			cdn_id => '2',
			ilo_password => '',
			ilo_username => '',
			mgmt_ip_gateway => '',
			upd_pending => '0',
			interface_mtu => '9000',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			phys_location => '8',
		},
	},
	## id => 27
	'26' => {
		new => 'Server',
		using => {
			host_name => 'atsec-hou-08',
			upd_pending => '0',
			cdn_id => '2',
			interface_mtu => '9000',
			ilo_ip_gateway => '172.16.3.1',
			ilo_username => '',
			xmpp_id => 'atsec-hou-08-dummyxmpp',
			domain_name => 'hou.kabletown.net',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			router_host_name => 'rtr-hou.kabletown.net',
			type => '13',
			ilo_ip_address => '172.16.3.14',
			ip_address => '10.10.3.10',
			ip6_address => '2033:D0D0:3300::3:10/64',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			status => '6',
			tcp_port => '80',
			xmpp_passwd => 'X',
			interface_name => 'bond0',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ip_gateway => '10.10.3.1',
			last_updated => '2015-12-10 15:44:36',
			ip6_gateway => '2033:D0D0:3300::3:1',
			rack => 'RR 119.02',
			profile => '7',
			router_port_name => '3',
			cachegroup => '12',
			phys_location => '8',
		},
	},
	## id => 28
	'27' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-00',
			status => '6',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			phys_location => '9',
			profile => '5',
			router_host_name => 'rtr-lax.kabletown.net',
			tcp_port => '80',
			xmpp_id => 'atsec-lax-00-dummyxmpp',
			ilo_username => '',
			ip6_address => '2033:D0D0:3300::1:2/64',
			domain_name => 'lax.kabletown.net',
			interface_mtu => '9000',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			cachegroup => '7',
			cdn_id => '1',
			rack => 'RR 119.02',
			ilo_ip_gateway => '172.16.1.1',
			ip_gateway => '10.10.1.1',
			upd_pending => '0',
			interface_name => 'bond0',
			ip_address => '10.10.1.2',
			ilo_password => '',
			ip6_gateway => '2033:D0D0:3300::1:1',
			mgmt_ip_netmask => '',
			router_port_name => '1',
			type => '13',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.1.6',
			last_updated => '2015-12-10 15:44:37',
		},
	},
	## id => 29
	'28' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-01',
			mgmt_ip_address => '',
			status => '6',
			upd_pending => '0',
			ilo_ip_netmask => '255.255.255.0',
			interface_name => 'bond0',
			cdn_id => '1',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.1.7',
			mgmt_ip_gateway => '',
			interface_mtu => '9000',
			ip6_address => '2033:D0D0:3300::1:3/64',
			ip6_gateway => '2033:D0D0:3300::1:1',
			ip_gateway => '10.10.1.1',
			mgmt_ip_netmask => '',
			profile => '5',
			router_port_name => '1',
			ilo_ip_gateway => '172.16.1.1',
			xmpp_passwd => 'X',
			xmpp_id => 'atsec-lax-01-dummyxmpp',
			ip_address => '10.10.1.3',
			tcp_port => '80',
			type => '13',
			ilo_password => '',
			phys_location => '9',
			router_host_name => 'rtr-lax.kabletown.net',
			domain_name => 'lax.kabletown.net',
			cachegroup => '7',
		},
	},
	## id => 30
	'29' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-02',
			ilo_password => '',
			interface_name => 'bond0',
			rack => 'RR 119.02',
			upd_pending => '0',
			domain_name => 'lax.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::1:1',
			profile => '5',
			xmpp_id => 'atsec-lax-02-dummyxmpp',
			cachegroup => '7',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			ip6_address => '2033:D0D0:3300::1:4/64',
			last_updated => '2015-12-10 15:44:37',
			tcp_port => '80',
			ilo_ip_gateway => '172.16.1.1',
			mgmt_ip_netmask => '',
			router_port_name => '1',
			xmpp_passwd => 'X',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			ip_address => '10.10.1.4',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			router_host_name => 'rtr-lax.kabletown.net',
			type => '13',
			cdn_id => '1',
			ilo_ip_address => '172.16.1.8',
			ip_gateway => '10.10.1.1',
			phys_location => '9',
			status => '6',
		},
	},
	## id => 31
	'30' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-03',
			domain_name => 'lax.kabletown.net',
			ilo_ip_gateway => '172.16.1.1',
			ilo_password => '',
			xmpp_id => 'atsec-lax-03-dummyxmpp',
			cdn_id => '1',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::1:5/64',
			tcp_port => '80',
			interface_mtu => '9000',
			ip_gateway => '10.10.1.1',
			router_host_name => 'rtr-lax.kabletown.net',
			status => '6',
			cachegroup => '7',
			ilo_ip_address => '172.16.1.9',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '9',
			profile => '5',
			rack => 'RR 119.02',
			type => '13',
			xmpp_passwd => 'X',
			ilo_username => '',
			mgmt_ip_address => '',
			upd_pending => '0',
			ip6_gateway => '2033:D0D0:3300::1:1',
			mgmt_ip_gateway => '',
			ip_address => '10.10.1.5',
			ip_netmask => '255.255.255.0',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			router_port_name => '1',
		},
	},
	## id => 32
	'31' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-04',
			ilo_ip_address => '172.16.1.10',
			ilo_password => '',
			ip_gateway => '10.10.1.1',
			profile => '7',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::1:1',
			mgmt_ip_netmask => '',
			tcp_port => '80',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.10.1.6',
			type => '13',
			cdn_id => '2',
			mgmt_ip_gateway => '',
			upd_pending => '0',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			phys_location => '10',
			rack => 'RR 119.02',
			router_host_name => 'rtr-lax.kabletown.net',
			router_port_name => '1',
			cachegroup => '7',
			ip6_address => '2033:D0D0:3300::1:6/64',
			last_updated => '2015-12-10 15:44:37',
			status => '6',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ilo_ip_gateway => '172.16.1.1',
			xmpp_id => 'atsec-lax-04-dummyxmpp',
			xmpp_passwd => 'X',
			domain_name => 'lax.kabletown.net',
		},
	},
	## id => 33
	'32' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-05',
			cdn_id => '2',
			ip6_address => '2033:D0D0:3300::1:7/64',
			mgmt_ip_gateway => '',
			profile => '7',
			xmpp_id => 'atsec-lax-05-dummyxmpp',
			ilo_password => '',
			ilo_username => '',
			ip_gateway => '10.10.1.1',
			upd_pending => '0',
			mgmt_ip_address => '',
			domain_name => 'lax.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::1:1',
			ip_address => '10.10.1.7',
			interface_mtu => '9000',
			last_updated => '2015-12-10 15:44:36',
			phys_location => '10',
			status => '6',
			xmpp_passwd => 'X',
			cachegroup => '7',
			ilo_ip_address => '172.16.1.11',
			ip_netmask => '255.255.255.0',
			router_host_name => 'rtr-lax.kabletown.net',
			tcp_port => '80',
			ilo_ip_gateway => '172.16.1.1',
			mgmt_ip_netmask => '',
			type => '13',
			rack => 'RR 119.02',
			router_port_name => '1',
		},
	},
	## id => 34
	'33' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-06',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D0:3300::1:1',
			rack => 'RR 119.02',
			status => '6',
			type => '13',
			cachegroup => '7',
			ip_address => '10.10.1.8',
			ip_gateway => '10.10.1.1',
			phys_location => '10',
			xmpp_id => 'atsec-lax-06-dummyxmpp',
			cdn_id => '2',
			interface_name => 'bond0',
			mgmt_ip_address => '',
			tcp_port => '80',
			ilo_ip_gateway => '172.16.1.1',
			router_host_name => 'rtr-lax.kabletown.net',
			router_port_name => '1',
			last_updated => '2015-12-10 15:44:37',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			domain_name => 'lax.kabletown.net',
			ilo_password => '',
			interface_mtu => '9000',
			mgmt_ip_gateway => '',
			profile => '7',
			upd_pending => '0',
			ip6_address => '2033:D0D0:3300::1:8/64',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.1.12',
			ilo_username => '',
		},
	},
	## id => 35
	'34' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-07',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			router_host_name => 'rtr-lax.kabletown.net',
			ilo_username => '',
			ip6_address => '2033:D0D0:3300::1:9/64',
			ip_gateway => '10.10.1.1',
			domain_name => 'lax.kabletown.net',
			ilo_ip_address => '172.16.1.13',
			interface_mtu => '9000',
			xmpp_passwd => 'X',
			cdn_id => '2',
			rack => 'RR 119.02',
			mgmt_ip_address => '',
			status => '6',
			xmpp_id => 'atsec-lax-07-dummyxmpp',
			ilo_ip_gateway => '172.16.1.1',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D0:3300::1:1',
			router_port_name => '1',
			tcp_port => '80',
			type => '13',
			ilo_password => '',
			interface_name => 'bond0',
			upd_pending => '0',
			mgmt_ip_netmask => '',
			phys_location => '10',
			profile => '7',
			cachegroup => '7',
			ip_address => '10.10.1.9',
			last_updated => '2015-12-10 15:44:37',
		},
	},
	## id => 36
	'35' => {
		new => 'Server',
		using => {
			host_name => 'atsec-lax-08',
			cdn_id => '2',
			ilo_username => '',
			interface_name => 'bond0',
			ip_netmask => '255.255.255.0',
			profile => '7',
			router_host_name => 'rtr-lax.kabletown.net',
			domain_name => 'lax.kabletown.net',
			ilo_password => '',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			phys_location => '10',
			interface_mtu => '9000',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.16.1.1',
			ip6_address => '2033:D0D0:3300::1:10/64',
			mgmt_ip_gateway => '',
			upd_pending => '0',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.10.1.10',
			status => '6',
			type => '13',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			router_port_name => '1',
			xmpp_id => 'atsec-lax-08-dummyxmpp',
			cachegroup => '7',
			ilo_ip_address => '172.16.1.14',
			ip6_gateway => '2033:D0D0:3300::1:1',
			ip_gateway => '10.10.1.1',
			tcp_port => '80',
		},
	},
	## id => 37
	'36' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-00',
			interface_mtu => '9000',
			cachegroup => '10',
			interface_name => 'bond0',
			xmpp_id => 'atsec-nyc-00-dummyxmpp',
			router_host_name => 'rtr-nyc.kabletown.net',
			status => '6',
			cdn_id => '1',
			ilo_password => '',
			phys_location => '11',
			rack => 'RR 119.02',
			tcp_port => '80',
			domain_name => 'nyc.kabletown.net',
			ilo_ip_address => '172.16.0.6',
			ilo_ip_gateway => '172.16.0.1',
			ip_address => '10.10.0.2',
			type => '13',
			ip6_gateway => '2033:D0D0:3300::0:1',
			last_updated => '2015-12-10 15:44:36',
			mgmt_ip_address => '',
			profile => '5',
			ip6_address => '2033:D0D0:3300::0:2/64',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			upd_pending => '0',
			ilo_username => '',
			ip_gateway => '10.10.0.1',
			ip_netmask => '255.255.255.0',
			router_port_name => '0',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
		},
	},
	## id => 38
	'37' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-01',
			domain_name => 'nyc.kabletown.net',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::0:1',
			tcp_port => '80',
			cachegroup => '10',
			ilo_password => '',
			ip_address => '10.10.0.3',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.16.0.7',
			mgmt_ip_address => '',
			type => '13',
			cdn_id => '1',
			phys_location => '11',
			xmpp_id => 'atsec-nyc-01-dummyxmpp',
			ip_netmask => '255.255.255.0',
			router_host_name => 'rtr-nyc.kabletown.net',
			upd_pending => '0',
			rack => 'RR 119.02',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			status => '6',
			ip_gateway => '10.10.0.1',
			mgmt_ip_gateway => '',
			ip6_address => '2033:D0D0:3300::0:3/64',
			ilo_ip_gateway => '172.16.0.1',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			profile => '5',
			router_port_name => '0',
		},
	},
	## id => 39
	'38' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-02',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			cachegroup => '10',
			domain_name => 'nyc.kabletown.net',
			ip6_gateway => '2033:D0D0:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			cdn_id => '1',
			interface_mtu => '9000',
			status => '6',
			ip_gateway => '10.10.0.1',
			router_port_name => '0',
			phys_location => '11',
			profile => '5',
			type => '13',
			ilo_ip_address => '172.16.0.8',
			ip6_address => '2033:D0D0:3300::0:4/64',
			mgmt_ip_address => '',
			router_host_name => 'rtr-nyc.kabletown.net',
			tcp_port => '80',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.16.0.1',
			ip_netmask => '255.255.255.0',
			ip_address => '10.10.0.4',
			upd_pending => '0',
			xmpp_id => 'atsec-nyc-02-dummyxmpp',
			ilo_ip_netmask => '255.255.255.0',
			interface_name => 'bond0',
			mgmt_ip_gateway => '',
			ilo_password => '',
			ilo_username => '',
		},
	},
	## id => 40
	'39' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-03',
			phys_location => '11',
			router_host_name => 'rtr-nyc.kabletown.net',
			status => '6',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			profile => '5',
			tcp_port => '80',
			xmpp_id => 'atsec-nyc-03-dummyxmpp',
			ip_address => '10.10.0.5',
			mgmt_ip_netmask => '',
			ip6_address => '2033:D0D0:3300::0:5/64',
			ip_netmask => '255.255.255.0',
			cachegroup => '10',
			xmpp_passwd => 'X',
			upd_pending => '0',
			ilo_password => '',
			ip_gateway => '10.10.0.1',
			type => '13',
			ilo_ip_address => '172.16.0.9',
			ilo_ip_gateway => '172.16.0.1',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D0:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			rack => 'RR 119.02',
			router_port_name => '0',
			domain_name => 'nyc.kabletown.net',
			ilo_username => '',
			interface_mtu => '9000',
			interface_name => 'bond0',
			cdn_id => '1',
		},
	},
	## id => 41
	'40' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-04',
			ip_address => '10.10.0.6',
			status => '6',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			router_host_name => 'rtr-nyc.kabletown.net',
			domain_name => 'nyc.kabletown.net',
			ilo_ip_gateway => '172.16.0.1',
			ip6_gateway => '2033:D0D0:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			profile => '7',
			type => '13',
			cachegroup => '10',
			ilo_username => '',
			interface_name => 'bond0',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			phys_location => '12',
			xmpp_id => 'atsec-nyc-04-dummyxmpp',
			ip6_address => '2033:D0D0:3300::0:6/64',
			ilo_ip_address => '172.16.0.10',
			ilo_password => '',
			ip_gateway => '10.10.0.1',
			xmpp_passwd => 'X',
			cdn_id => '2',
			ip_netmask => '255.255.255.0',
			router_port_name => '0',
			tcp_port => '80',
			upd_pending => '0',
		},
	},
	## id => 42
	'41' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-05',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.10.0.7',
			cachegroup => '10',
			ilo_ip_gateway => '172.16.0.1',
			mgmt_ip_address => '',
			profile => '7',
			router_port_name => '0',
			xmpp_passwd => 'X',
			last_updated => '2015-12-10 15:44:37',
			status => '6',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::0:1',
			phys_location => '12',
			upd_pending => '0',
			xmpp_id => 'atsec-nyc-05-dummyxmpp',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::0:7/64',
			rack => 'RR 119.02',
			router_host_name => 'rtr-nyc.kabletown.net',
			cdn_id => '2',
			interface_mtu => '9000',
			ip_gateway => '10.10.0.1',
			type => '13',
			ilo_ip_address => '172.16.0.11',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			mgmt_ip_netmask => '',
			domain_name => 'nyc.kabletown.net',
			ilo_username => '',
			tcp_port => '80',
		},
	},
	## id => 43
	'42' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-06',
			ip6_gateway => '2033:D0D0:3300::0:1',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			phys_location => '12',
			upd_pending => '0',
			interface_mtu => '9000',
			ilo_username => '',
			ip6_address => '2033:D0D0:3300::0:8/64',
			ip_address => '10.10.0.8',
			xmpp_id => 'atsec-nyc-06-dummyxmpp',
			ilo_password => '',
			status => '6',
			rack => 'RR 119.02',
			last_updated => '2015-12-10 15:44:36',
			mgmt_ip_address => '',
			type => '13',
			domain_name => 'nyc.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip_gateway => '10.10.0.1',
			cdn_id => '2',
			router_host_name => 'rtr-nyc.kabletown.net',
			router_port_name => '0',
			tcp_port => '80',
			xmpp_passwd => 'X',
			mgmt_ip_gateway => '',
			ilo_ip_gateway => '172.16.0.1',
			ilo_ip_address => '172.16.0.12',
			interface_name => 'bond0',
			profile => '7',
			cachegroup => '10',
		},
	},
	## id => 44
	'43' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-07',
			upd_pending => '0',
			xmpp_passwd => 'X',
			ip6_gateway => '2033:D0D0:3300::0:1',
			ip_gateway => '10.10.0.1',
			phys_location => '12',
			mgmt_ip_address => '',
			profile => '7',
			type => '13',
			mgmt_ip_netmask => '',
			router_port_name => '0',
			xmpp_id => 'atsec-nyc-07-dummyxmpp',
			domain_name => 'nyc.kabletown.net',
			interface_mtu => '9000',
			mgmt_ip_gateway => '',
			ilo_ip_gateway => '172.16.0.1',
			last_updated => '2015-12-10 15:44:37',
			ilo_ip_address => '172.16.0.13',
			ilo_password => '',
			ilo_username => '',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::0:9/64',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			status => '6',
			cdn_id => '2',
			ilo_ip_netmask => '255.255.255.0',
			cachegroup => '10',
			tcp_port => '80',
			ip_address => '10.10.0.9',
			router_host_name => 'rtr-nyc.kabletown.net',
		},
	},
	## id => 45
	'44' => {
		new => 'Server',
		using => {
			host_name => 'atsec-nyc-08',
			status => '6',
			tcp_port => '80',
			ilo_ip_address => '172.16.0.14',
			ip_netmask => '255.255.255.0',
			router_port_name => '0',
			mgmt_ip_netmask => '',
			router_host_name => 'rtr-nyc.kabletown.net',
			type => '13',
			domain_name => 'nyc.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D0:3300::0:1',
			ip_address => '10.10.0.10',
			last_updated => '2015-12-10 15:44:36',
			mgmt_ip_address => '',
			xmpp_id => 'atsec-nyc-08-dummyxmpp',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::0:10/64',
			ilo_ip_gateway => '172.16.0.1',
			ip_gateway => '10.10.0.1',
			profile => '7',
			rack => 'RR 119.02',
			upd_pending => '0',
			cachegroup => '10',
			ilo_password => '',
			ilo_username => '',
			xmpp_passwd => 'X',
			cdn_id => '2',
			mgmt_ip_gateway => '',
			phys_location => '12',
		},
	},
	## id => 46
	'45' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-00',
			ilo_ip_gateway => '172.16.4.1',
			ilo_password => '',
			ip_address => '10.10.4.2',
			ip6_address => '2033:D0D0:3300::4:2/64',
			tcp_port => '80',
			domain_name => 'phl.kabletown.net',
			ilo_username => '',
			ip6_gateway => '2033:D0D0:3300::4:1',
			router_port_name => '4',
			upd_pending => '0',
			ilo_ip_address => '172.16.4.6',
			interface_name => 'bond0',
			mgmt_ip_address => '',
			router_host_name => 'rtr-phl.kabletown.net',
			interface_mtu => '9000',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			cachegroup => '11',
			cdn_id => '1',
			ip_gateway => '10.10.4.1',
			type => '13',
			xmpp_id => 'atsec-phl-00-dummyxmpp',
			ilo_ip_netmask => '255.255.255.0',
			ip_netmask => '255.255.255.0',
			profile => '5',
			status => '6',
			last_updated => '2015-12-10 15:44:36',
			mgmt_ip_gateway => '',
			phys_location => '13',
			rack => 'RR 119.02',
		},
	},
	## id => 47
	'46' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-01',
			phys_location => '13',
			router_port_name => '4',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::4:3/64',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			rack => 'RR 119.02',
			tcp_port => '80',
			type => '13',
			cachegroup => '11',
			ilo_ip_gateway => '172.16.4.1',
			ip_gateway => '10.10.4.1',
			router_host_name => 'rtr-phl.kabletown.net',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::4:1',
			mgmt_ip_address => '',
			status => '6',
			last_updated => '2015-12-10 15:44:36',
			cdn_id => '1',
			ilo_ip_address => '172.16.4.7',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			domain_name => 'phl.kabletown.net',
			ip_address => '10.10.4.3',
			profile => '5',
			upd_pending => '0',
			xmpp_id => 'atsec-phl-01-dummyxmpp',
			xmpp_passwd => 'X',
			interface_mtu => '9000',
			mgmt_ip_gateway => '',
		},
	},
	## id => 48
	'47' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-02',
			ilo_ip_netmask => '255.255.255.0',
			tcp_port => '80',
			xmpp_id => 'atsec-phl-02-dummyxmpp',
			router_port_name => '4',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.16.4.1',
			ip_address => '10.10.4.4',
			mgmt_ip_gateway => '',
			mgmt_ip_netmask => '',
			ilo_username => '',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::4:4/64',
			type => '13',
			mgmt_ip_address => '',
			interface_mtu => '9000',
			ip6_gateway => '2033:D0D0:3300::4:1',
			ip_netmask => '255.255.255.0',
			status => '6',
			ilo_password => '',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '13',
			profile => '5',
			cdn_id => '1',
			upd_pending => '0',
			router_host_name => 'rtr-phl.kabletown.net',
			rack => 'RR 119.02',
			cachegroup => '11',
			domain_name => 'phl.kabletown.net',
			ilo_ip_address => '172.16.4.8',
			ip_gateway => '10.10.4.1',
		},
	},
	## id => 49
	'48' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-03',
			phys_location => '13',
			status => '6',
			upd_pending => '0',
			ilo_ip_netmask => '255.255.255.0',
			ilo_username => '',
			mgmt_ip_gateway => '',
			type => '13',
			domain_name => 'phl.kabletown.net',
			ilo_ip_address => '172.16.4.9',
			interface_name => 'bond0',
			profile => '5',
			rack => 'RR 119.02',
			ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			router_port_name => '4',
			ilo_ip_gateway => '172.16.4.1',
			ilo_password => '',
			ip6_gateway => '2033:D0D0:3300::4:1',
			ip_address => '10.10.4.5',
			xmpp_passwd => 'X',
			cachegroup => '11',
			cdn_id => '1',
			interface_mtu => '9000',
			ip6_address => '2033:D0D0:3300::4:5/64',
			tcp_port => '80',
			ip_gateway => '10.10.4.1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			router_host_name => 'rtr-phl.kabletown.net',
			xmpp_id => 'atsec-phl-03-dummyxmpp',
		},
	},
	## id => 50
	'49' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-04',
			cachegroup => '11',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			interface_name => 'bond0',
			ip_address => '10.10.4.6',
			ip_netmask => '255.255.255.0',
			tcp_port => '80',
			cdn_id => '2',
			router_port_name => '4',
			xmpp_passwd => 'X',
			mgmt_ip_address => '',
			xmpp_id => 'atsec-phl-04-dummyxmpp',
			ilo_ip_address => '172.16.4.10',
			ilo_username => '',
			router_host_name => 'rtr-phl.kabletown.net',
			type => '13',
			ilo_ip_gateway => '172.16.4.1',
			ip_gateway => '10.10.4.1',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			status => '6',
			upd_pending => '0',
			interface_mtu => '9000',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '14',
			domain_name => 'phl.kabletown.net',
			ip6_address => '2033:D0D0:3300::4:6/64',
			ip6_gateway => '2033:D0D0:3300::4:1',
			mgmt_ip_netmask => '',
			profile => '7',
		},
	},
	## id => 51
	'50' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-05',
			cachegroup => '11',
			ilo_username => '',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::4:1',
			ip_netmask => '255.255.255.0',
			tcp_port => '80',
			ilo_ip_address => '172.16.4.11',
			ilo_ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			status => '6',
			domain_name => 'phl.kabletown.net',
			ip_gateway => '10.10.4.1',
			router_host_name => 'rtr-phl.kabletown.net',
			xmpp_passwd => 'X',
			type => '13',
			phys_location => '14',
			upd_pending => '0',
			xmpp_id => 'atsec-phl-05-dummyxmpp',
			cdn_id => '2',
			ilo_ip_gateway => '172.16.4.1',
			interface_mtu => '9000',
			mgmt_ip_netmask => '',
			ilo_password => '',
			ip6_address => '2033:D0D0:3300::4:7/64',
			ip_address => '10.10.4.7',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			profile => '7',
			rack => 'RR 119.02',
			router_port_name => '4',
		},
	},
	## id => 52
	'51' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-06',
			cachegroup => '11',
			ilo_password => '',
			router_host_name => 'rtr-phl.kabletown.net',
			router_port_name => '4',
			interface_mtu => '9000',
			ilo_ip_address => '172.16.4.12',
			ilo_ip_gateway => '172.16.4.1',
			ip6_address => '2033:D0D0:3300::4:8/64',
			type => '13',
			ilo_username => '',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D0:3300::4:1',
			mgmt_ip_gateway => '',
			profile => '7',
			tcp_port => '80',
			cdn_id => '2',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.10.4.8',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			ip_netmask => '255.255.255.0',
			phys_location => '14',
			rack => 'RR 119.02',
			ip_gateway => '10.10.4.1',
			status => '6',
			upd_pending => '0',
			domain_name => 'phl.kabletown.net',
			xmpp_id => 'atsec-phl-06-dummyxmpp',
		},
	},
	## id => 53
	'52' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-07',
			cachegroup => '11',
			domain_name => 'phl.kabletown.net',
			ilo_password => '',
			ip_gateway => '10.10.4.1',
			mgmt_ip_gateway => '',
			profile => '7',
			ilo_ip_gateway => '172.16.4.1',
			last_updated => '2015-12-10 15:44:37',
			cdn_id => '2',
			ip_address => '10.10.4.9',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			ilo_ip_address => '172.16.4.13',
			ip6_gateway => '2033:D0D0:3300::4:1',
			mgmt_ip_address => '',
			xmpp_passwd => 'X',
			ilo_username => '',
			type => '13',
			xmpp_id => 'atsec-phl-07-dummyxmpp',
			interface_mtu => '9000',
			mgmt_ip_netmask => '',
			router_host_name => 'rtr-phl.kabletown.net',
			router_port_name => '4',
			tcp_port => '80',
			phys_location => '14',
			status => '6',
			ilo_ip_netmask => '255.255.255.0',
			interface_name => 'bond0',
			ip6_address => '2033:D0D0:3300::4:9/64',
			upd_pending => '0',
		},
	},
	## id => 54
	'53' => {
		new => 'Server',
		using => {
			host_name => 'atsec-phl-08',
			cdn_id => '2',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			router_port_name => '4',
			type => '13',
			cachegroup => '11',
			ip6_gateway => '2033:D0D0:3300::4:1',
			xmpp_id => 'atsec-phl-08-dummyxmpp',
			rack => 'RR 119.02',
			tcp_port => '80',
			xmpp_passwd => 'X',
			domain_name => 'phl.kabletown.net',
			ilo_username => '',
			ip6_address => '2033:D0D0:3300::4:10/64',
			mgmt_ip_gateway => '',
			ilo_ip_address => '172.16.4.14',
			ilo_ip_gateway => '172.16.4.1',
			interface_mtu => '9000',
			interface_name => 'bond0',
			phys_location => '14',
			upd_pending => '0',
			mgmt_ip_address => '',
			profile => '7',
			ip_netmask => '255.255.255.0',
			router_host_name => 'rtr-phl.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ip_address => '10.10.4.10',
			ip_gateway => '10.10.4.1',
			status => '6',
		},
	},
	## id => 55
	'54' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-00',
			ip_gateway => '10.11.0.1',
			last_updated => '2015-12-10 15:44:37',
			cachegroup => '4',
			domain_name => 'east.kabletown.net',
			ilo_username => '',
			rack => 'RR 119.02',
			router_port_name => '0',
			ilo_ip_address => '172.17.0.6',
			ip_address => '10.11.0.1',
			mgmt_ip_netmask => '',
			profile => '15',
			tcp_port => '80',
			type => '22',
			upd_pending => '0',
			xmpp_id => 'atsmid-east-00-dummyxmpp',
			ilo_ip_gateway => '172.17.0.1',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			router_host_name => 'rtr-east.kabletown.net',
			status => '4', #
			cdn_id => '2',
			ilo_password => '',
			ip6_address => '2033:D0D1:3300::0:2/64',
			mgmt_ip_gateway => '',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D1:3300::0:1',
			phys_location => '11',
			xmpp_passwd => 'X',
		},
	},
	## id => 56
	'55' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-01',
			profile => '13',
			router_host_name => 'rtr-east.kabletown.net',
			tcp_port => '80',
			xmpp_passwd => 'X',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			mgmt_ip_netmask => '',
			upd_pending => '0',
			ilo_ip_gateway => '172.17.0.1',
			interface_mtu => '9000',
			ip_gateway => '10.11.0.1',
			type => '22',
			ip6_address => '2033:D0D1:3300::0:3/64',
			ilo_ip_address => '172.17.0.7',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ilo_username => '',
			cachegroup => '4',
			phys_location => '11',
			rack => 'RR 119.02',
			domain_name => 'east.kabletown.net',
			ip6_gateway => '2033:D0D1:3300::0:1',
			xmpp_id => 'atsmid-east-01-dummyxmpp',
			router_port_name => '0',
			status => '4', #
			mgmt_ip_address => '',
			cdn_id => '1',
			interface_name => 'bond0',
			ip_netmask => '255.255.255.0',
			ip_address => '10.11.0.2',
		},
	},
	## id => 57
	'56' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-02',
			interface_mtu => '9000',
			status => '4', #
			xmpp_id => 'atsmid-east-02-dummyxmpp',
			ilo_ip_address => '172.17.0.8',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			type => '22',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.17.0.1',
			ilo_username => '',
			ip_gateway => '10.11.0.1',
			mgmt_ip_address => '',
			tcp_port => '80',
			interface_name => 'bond0',
			ip6_address => '2033:D0D1:3300::0:4/64',
			mgmt_ip_gateway => '',
			phys_location => '11',
			profile => '15',
			upd_pending => '0',
			cdn_id => '2',
			domain_name => 'east.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.11.0.3',
			router_port_name => '0',
			cachegroup => '4',
			ilo_password => '',
			ip6_gateway => '2033:D0D1:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			router_host_name => 'rtr-east.kabletown.net',
			mgmt_ip_netmask => '',
		},
	},
	## id => 58
	'57' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-03',
			ip_gateway => '10.11.0.1',
			last_updated => '2015-12-10 15:44:37',
			rack => 'RR 119.02',
			ilo_username => '',
			ip6_address => '2033:D0D1:3300::0:5/64',
			xmpp_id => 'atsmid-east-03-dummyxmpp',
			mgmt_ip_address => '',
			phys_location => '11',
			profile => '13',
			mgmt_ip_gateway => '',
			tcp_port => '80',
			type => '22',
			cachegroup => '4',
			ilo_ip_gateway => '172.17.0.1',
			interface_name => 'bond0',
			router_port_name => '0',
			status => '4', #
			router_host_name => 'rtr-east.kabletown.net',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.17.0.9',
			ilo_password => '',
			ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			ip_address => '10.11.0.4',
			mgmt_ip_netmask => '',
			upd_pending => '0',
			cdn_id => '1',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D1:3300::0:1',
			domain_name => 'east.kabletown.net',
		},
	},
	## id => 59
	'58' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-04',
			cachegroup => '4',
			interface_name => 'bond0',
			profile => '15',
			ilo_ip_netmask => '255.255.255.0',
			ilo_password => '',
			ip6_address => '2033:D0D1:3300::0:6/64',
			ip_gateway => '10.11.0.1',
			ip_netmask => '255.255.255.0',
			cdn_id => '2',
			ip6_gateway => '2033:D0D1:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			tcp_port => '80',
			xmpp_passwd => 'X',
			ilo_ip_address => '172.17.0.10',
			mgmt_ip_gateway => '',
			status => '4', #
			interface_mtu => '9000',
			upd_pending => '0',
			ilo_username => '',
			rack => 'RR 119.02',
			router_port_name => '0',
			domain_name => 'east.kabletown.net',
			mgmt_ip_address => '',
			router_host_name => 'rtr-east.kabletown.net',
			xmpp_id => 'atsmid-east-04-dummyxmpp',
			ilo_ip_gateway => '172.17.0.1',
			ip_address => '10.11.0.5',
			phys_location => '12',
			type => '22',
		},
	},
	## id => 60
	'59' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-05',
			ilo_ip_address => '172.17.0.11',
			profile => '13',
			cdn_id => '1',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.11.0.6',
			status => '4', #
			xmpp_id => 'atsmid-east-05-dummyxmpp',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.17.0.1',
			ilo_password => '',
			interface_mtu => '9000',
			tcp_port => '80',
			cachegroup => '4',
			domain_name => 'east.kabletown.net',
			ilo_username => '',
			upd_pending => '0',
			mgmt_ip_netmask => '',
			router_port_name => '0',
			type => '22',
			interface_name => 'bond0',
			ip_gateway => '10.11.0.1',
			mgmt_ip_address => '',
			ip6_gateway => '2033:D0D1:3300::0:1',
			ip_netmask => '255.255.255.0',
			phys_location => '12',
			ip6_address => '2033:D0D1:3300::0:7/64',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			router_host_name => 'rtr-east.kabletown.net',
		},
	},
	## id => 61
	'60' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-06',
			xmpp_passwd => 'X',
			router_port_name => '0',
			upd_pending => '0',
			cdn_id => '2',
			ilo_password => '',
			ilo_username => '',
			ip6_address => '2033:D0D1:3300::0:8/64',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_netmask => '',
			phys_location => '12',
			profile => '15',
			ilo_ip_address => '172.17.0.12',
			last_updated => '2015-12-10 15:44:36',
			router_host_name => 'rtr-east.kabletown.net',
			tcp_port => '80',
			ip_netmask => '255.255.255.0',
			status => '4', #
			type => '22',
			domain_name => 'east.kabletown.net',
			ip6_gateway => '2033:D0D1:3300::0:1',
			ip_address => '10.11.0.7',
			cachegroup => '4',
			ip_gateway => '10.11.0.1',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			xmpp_id => 'atsmid-east-06-dummyxmpp',
			ilo_ip_gateway => '172.17.0.1',
			interface_mtu => '9000',
			interface_name => 'bond0',
		},
	},
	## id => 62
	'61' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-07',
			domain_name => 'east.kabletown.net',
			status => '4', #
			xmpp_id => 'atsmid-east-07-dummyxmpp',
			last_updated => '2015-12-10 15:44:37',
			xmpp_passwd => 'X',
			cachegroup => '4',
			ilo_ip_address => '172.17.0.13',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D1:3300::0:1',
			ip_gateway => '10.11.0.1',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			ip_address => '10.11.0.8',
			phys_location => '12',
			router_host_name => 'rtr-east.kabletown.net',
			ilo_ip_gateway => '172.17.0.1',
			ip6_address => '2033:D0D1:3300::0:9/64',
			ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			type => '22',
			upd_pending => '0',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
			profile => '13',
			tcp_port => '80',
			ilo_username => '',
			router_port_name => '0',
			cdn_id => '1',
			ilo_password => '',
			mgmt_ip_netmask => '',
		},
	},
	## id => 63
	'62' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-east-08',
			type => '22',
			domain_name => 'east.kabletown.net',
			ilo_ip_address => '172.17.0.14',
			interface_mtu => '9000',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			phys_location => '12',
			ilo_password => '',
			ip_gateway => '10.11.0.1',
			tcp_port => '80',
			cdn_id => '2',
			router_port_name => '0',
			upd_pending => '0',
			xmpp_id => 'atsmid-east-08-dummyxmpp',
			ip6_address => '2033:D0D1:3300::0:10/64',
			profile => '15',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D1:3300::0:1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			xmpp_passwd => 'X',
			cachegroup => '4',
			ip_address => '10.11.0.9',
			mgmt_ip_address => '',
			ilo_ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			router_host_name => 'rtr-east.kabletown.net',
			ilo_ip_gateway => '172.17.0.1',
			ilo_username => '',
			status => '4', #
		},
	},
	## id => 64
	'63' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-00',
			ip_netmask => '255.255.255.0',
			router_host_name => 'rtr-west.kabletown.net',
			ilo_ip_gateway => '172.17.1.1',
			last_updated => '2015-12-10 15:44:37',
			ilo_ip_address => '172.17.1.6',
			ilo_username => '',
			ip_address => '10.11.1.1',
			rack => 'RR 119.02',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			phys_location => '9',
			xmpp_id => 'atsmid-west-00-dummyxmpp',
			xmpp_passwd => 'X',
			cdn_id => '2',
			domain_name => 'west.kabletown.net',
			ip_gateway => '10.11.1.1',
			router_port_name => '1',
			type => '22',
			ilo_password => '',
			interface_name => 'bond0',
			profile => '15',
			status => '4', #
			mgmt_ip_gateway => '',
			upd_pending => '0',
			tcp_port => '80',
			cachegroup => '6',
			ilo_ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			ip6_address => '2033:D0D1:3300::1:2/64',
			ip6_gateway => '2033:D0D1:3300::1:1',
		},
	},
	## id => 65
	'64' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-01',
			router_host_name => 'rtr-west.kabletown.net',
			type => '22',
			upd_pending => '0',
			ilo_ip_netmask => '255.255.255.0',
			rack => 'RR 119.02',
			ip_address => '10.11.1.2',
			status => '4', #
			ilo_ip_address => '172.17.1.7',
			interface_name => 'bond0',
			mgmt_ip_netmask => '',
			phys_location => '9',
			profile => '13',
			tcp_port => '80',
			ilo_ip_gateway => '172.17.1.1',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			ilo_username => '',
			interface_mtu => '9000',
			ip6_address => '2033:D0D1:3300::1:3/64',
			ip6_gateway => '2033:D0D1:3300::1:1',
			mgmt_ip_gateway => '',
			cachegroup => '6',
			domain_name => 'west.kabletown.net',
			mgmt_ip_address => '',
			xmpp_id => 'atsmid-west-01-dummyxmpp',
			xmpp_passwd => 'X',
			cdn_id => '1',
			ip_gateway => '10.11.1.1',
			router_port_name => '1',
			ilo_password => '',
		},
	},
	## id => 66
	'65' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-02',
			ilo_password => '',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			status => '4', #
			tcp_port => '80',
			cachegroup => '6',
			ip_gateway => '10.11.1.1',
			router_host_name => 'rtr-west.kabletown.net',
			ilo_ip_address => '172.17.1.8',
			ip_address => '10.11.1.3',
			router_port_name => '1',
			domain_name => 'west.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			ip6_gateway => '2033:D0D1:3300::1:1',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
			xmpp_id => 'atsmid-west-02-dummyxmpp',
			xmpp_passwd => 'X',
			type => '22',
			interface_mtu => '9000',
			ip6_address => '2033:D0D1:3300::1:4/64',
			last_updated => '2015-12-10 15:44:37',
			profile => '15',
			cdn_id => '2',
			ilo_ip_gateway => '172.17.1.1',
			mgmt_ip_address => '',
			mgmt_ip_netmask => '',
			phys_location => '9',
			interface_name => 'bond0',
			upd_pending => '0',
		},
	},
	## id => 67
	'66' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-03',
			ilo_username => '',
			ilo_ip_gateway => '172.17.1.1',
			cdn_id => '1',
			ilo_ip_address => '172.17.1.9',
			ip6_address => '2033:D0D1:3300::1:5/64',
			ip_address => '10.11.1.4',
			profile => '13',
			domain_name => 'west.kabletown.net',
			interface_name => 'bond0',
			mgmt_ip_netmask => '',
			status => '4', #
			ilo_password => '',
			interface_mtu => '9000',
			mgmt_ip_gateway => '',
			ip_netmask => '255.255.255.0',
			phys_location => '9',
			tcp_port => '80',
			upd_pending => '0',
			cachegroup => '6',
			ip6_gateway => '2033:D0D1:3300::1:1',
			mgmt_ip_address => '',
			rack => 'RR 119.02',
			router_host_name => 'rtr-west.kabletown.net',
			router_port_name => '1',
			xmpp_id => 'atsmid-west-03-dummyxmpp',
			ilo_ip_netmask => '255.255.255.0',
			ip_gateway => '10.11.1.1',
			last_updated => '2015-12-10 15:44:37',
			type => '22',
			xmpp_passwd => 'X',
		},
	},
	## id => 68
	'67' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-04',
			ip_netmask => '255.255.255.0',
			mgmt_ip_address => '',
			type => '22',
			ip6_address => '2033:D0D1:3300::1:6/64',
			mgmt_ip_gateway => '',
			profile => '15',
			cachegroup => '6',
			ilo_ip_address => '172.17.1.10',
			interface_name => 'bond0',
			router_host_name => 'rtr-west.kabletown.net',
			router_port_name => '1',
			upd_pending => '0',
			xmpp_id => 'atsmid-west-04-dummyxmpp',
			cdn_id => '2',
			phys_location => '10',
			ilo_password => '',
			ip_gateway => '10.11.1.1',
			last_updated => '2015-12-10 15:44:36',
			ilo_ip_gateway => '172.17.1.1',
			ip6_gateway => '2033:D0D1:3300::1:1',
			mgmt_ip_netmask => '',
			status => '4', #
			xmpp_passwd => 'X',
			domain_name => 'west.kabletown.net',
			ilo_ip_netmask => '255.255.255.0',
			tcp_port => '80',
			ilo_username => '',
			interface_mtu => '9000',
			ip_address => '10.11.1.5',
			rack => 'RR 119.02',
		},
	},
	## id => 69
	'68' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-05',
			phys_location => '10',
			tcp_port => '80',
			ip6_address => '2033:D0D1:3300::1:7/64',
			ip_gateway => '10.11.1.1',
			mgmt_ip_gateway => '',
			router_port_name => '1',
			xmpp_passwd => 'X',
			ilo_ip_netmask => '255.255.255.0',
			type => '22',
			cachegroup => '6',
			ip6_gateway => '2033:D0D1:3300::1:1',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			rack => 'RR 119.02',
			interface_name => 'bond0',
			ip_address => '10.11.1.6',
			profile => '13',
			router_host_name => 'rtr-west.kabletown.net',
			ilo_ip_gateway => '172.17.1.1',
			ilo_username => '',
			ilo_ip_address => '172.17.1.11',
			interface_mtu => '9000',
			upd_pending => '0',
			xmpp_id => 'atsmid-west-05-dummyxmpp',
			cdn_id => '1',
			domain_name => 'west.kabletown.net',
			ilo_password => '',
			mgmt_ip_netmask => '',
			status => '4', #
		},
	},
	## id => 70
	'69' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-06',
			ilo_username => '',
			ip_gateway => '10.11.1.1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			router_host_name => 'rtr-west.kabletown.net',
			upd_pending => '0',
			xmpp_id => 'atsmid-west-06-dummyxmpp',
			interface_mtu => '9000',
			ip6_address => '2033:D0D1:3300::1:8/64',
			ip6_gateway => '2033:D0D1:3300::1:1',
			ip_netmask => '255.255.255.0',
			profile => '15',
			cachegroup => '6',
			ip_address => '10.11.1.7',
			type => '22',
			xmpp_passwd => 'X',
			domain_name => 'west.kabletown.net',
			ilo_ip_address => '172.17.1.12',
			ilo_password => '',
			tcp_port => '80',
			cdn_id => '2',
			interface_name => 'bond0',
			mgmt_ip_address => '',
			phys_location => '10',
			router_port_name => '1',
			status => '4', #
			ilo_ip_gateway => '172.17.1.1',
			ilo_ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => '',
			rack => 'RR 119.02',
		},
	},
	## id => 71
	'70' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-07',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.11.1.8',
			ilo_password => '',
			status => '4', #
			xmpp_id => 'atsmid-west-07-dummyxmpp',
			router_host_name => 'rtr-west.kabletown.net',
			upd_pending => '0',
			router_port_name => '1',
			xmpp_passwd => 'X',
			ip6_address => '2033:D0D1:3300::1:9/64',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => '',
			phys_location => '10',
			rack => 'RR 119.02',
			mgmt_ip_gateway => '',
			tcp_port => '80',
			cachegroup => '6',
			domain_name => 'west.kabletown.net',
			ilo_username => '',
			interface_mtu => '9000',
			interface_name => 'bond0',
			ip6_gateway => '2033:D0D1:3300::1:1',
			ilo_ip_gateway => '172.17.1.1',
			ip_gateway => '10.11.1.1',
			ip_netmask => '255.255.255.0',
			profile => '13',
			cdn_id => '1',
			type => '22',
			ilo_ip_address => '172.17.1.13',
			mgmt_ip_address => '',
		},
	},
	## id => 72
	'71' => {
		new => 'Server',
		using => {
			host_name => 'atsmid-west-08',
			ilo_ip_netmask => '255.255.255.0',
			ip_address => '10.11.1.9',
			ilo_ip_address => '172.17.1.14',
			interface_mtu => '9000',
			ip6_gateway => '2033:D0D1:3300::1:1',
			router_host_name => 'rtr-west.kabletown.net',
			upd_pending => '0',
			cdn_id => '2',
			ilo_username => '',
			ip_netmask => '255.255.255.0',
			tcp_port => '80',
			rack => 'RR 119.02',
			router_port_name => '1',
			type => '22',
			cachegroup => '6',
			domain_name => 'west.kabletown.net',
			profile => '15',
			interface_name => 'bond0',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_gateway => '',
			phys_location => '10',
			xmpp_passwd => 'X',
			ilo_ip_gateway => '172.17.1.1',
			ip6_address => '2033:D0D1:3300::1:10/64',
			status => '4', #
			ip_gateway => '10.11.1.1',
			mgmt_ip_netmask => '',
			ilo_password => '',
			mgmt_ip_address => '',
			xmpp_id => 'atsmid-west-08-dummyxmpp',
		},
	},
	## id => 73
	'72' => {
		new => 'Server',
		using => {
			host_name => 'org1',
			ip_address => '10.11.10.2',
			status => '4', #
			type => '25',
			cdn_id => '1',
			interface_name => 'eth1',
			ip6_gateway => undef,
			last_updated => '2015-12-10 15:44:37',
			router_host_name => '',
			router_port_name => '',
			tcp_port => '80',
			cachegroup => '3',
			ilo_ip_netmask => '',
			mgmt_ip_address => '',
			rack => 'RR 119.02',
			ilo_ip_address => '',
			ilo_ip_gateway => '',
			ilo_password => '',
			ip6_address => undef,
			mgmt_ip_netmask => '',
			domain_name => 'kabletown.net',
			ilo_username => '',
			xmpp_id => '',
			xmpp_passwd => '',
			ip_gateway => '10.11.10.1',
			ip_netmask => '255.255.252.0',
			profile => '17',
			upd_pending => '0',
			interface_mtu => '1500',
			mgmt_ip_gateway => '',
			phys_location => '11',
		},
	},
	## id => 74
	'73' => {
		new => 'Server',
		using => {
			host_name => 'org2',
			ilo_ip_gateway => '',
			ip_gateway => '10.11.12.1',
			mgmt_ip_netmask => '',
			router_port_name => '',
			tcp_port => '80',
			ip6_address => undef,
			status => '4', #
			xmpp_passwd => '',
			cdn_id => '1',
			ilo_ip_address => '',
			ilo_ip_netmask => '',
			interface_mtu => '1500',
			rack => 'RR 119.02',
			ip6_gateway => undef,
			ip_address => '10.11.12.2',
			type => '25',
			ilo_password => '',
			ip_netmask => '255.255.252.0',
			profile => '18',
			router_host_name => '',
			domain_name => 'kabletown.net',
			ilo_username => '',
			upd_pending => '0',
			xmpp_id => '',
			phys_location => '11',
			cachegroup => '5',
			interface_name => 'eth1',
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_address => '',
			mgmt_ip_gateway => '',
		},
	},
	## id => 75
	'74' => {
		new => 'Server',
		using => {
			host_name => 'riak1',
			upd_pending => '0',
			ilo_ip_address => '',
			interface_name => 'eth1',
			ip_address => '127.0.0.5',
			tcp_port => '8088',
			status => '4', #
			ilo_username => '',
			mgmt_ip_address => '',
			rack => 'RR 119.02',
			ilo_password => '',
			interface_mtu => '1500',
			ip6_address => undef,
			router_host_name => '',
			domain_name => 'kabletown.net',
			ip_gateway => '127.0.0.5',
			profile => '21',
			xmpp_id => '',
			cachegroup => '4',
			cdn_id => '2',
			ilo_ip_netmask => '',
			ip6_gateway => undef,
			mgmt_ip_gateway => '',
			xmpp_passwd => '',
			ilo_ip_gateway => '',
			ip_netmask => '255.255.252.0',
			mgmt_ip_netmask => '',
			router_port_name => '',
			last_updated => '2015-12-10 15:44:36',
			phys_location => '11',
			type => '28',
		},
	},
	## id => 76
	'75' => {
		new => 'Server',
		using => {
			host_name => 'trmon-cle-01',
			xmpp_id => 'trmon-cle-01-dummyxmpp',
			ilo_ip_netmask => undef,
			ip6_gateway => '2033:D011:3300::1',
			ip_netmask => '255.255.255.0',
			interface_mtu => '9000',
			mgmt_ip_gateway => undef,
			phys_location => '1',
			rack => 'RR 119.02',
			domain_name => 'cle.kabletown.net',
			ilo_username => undef,
			xmpp_passwd => 'X',
			cachegroup => '1',
			mgmt_ip_netmask => undef,
			last_updated => '2015-12-10 15:44:37',
			router_port_name => undef,
			cdn_id => '1',
			ilo_password => undef,
			interface_name => 'bond0',
			router_host_name => undef,
			status => '4', #
			tcp_port => '80',
			type => '27',
			ip6_address => '2033:D011:3300::335/64',
			ip_address => '172.39.19.39',
			mgmt_ip_address => undef,
			ip_gateway => '172.39.19.1',
			profile => '19',
			ilo_ip_address => undef,
			ilo_ip_gateway => undef,
			upd_pending => '0',
		},
	},
	## id => 77
	'76' => {
		new => 'Server',
		using => {
			host_name => 'trmon-cle-02',
			mgmt_ip_gateway => undef,
			upd_pending => '0',
			ip_netmask => '255.255.255.0',
			cdn_id => '2',
			ilo_ip_netmask => undef,
			mgmt_ip_netmask => undef,
			phys_location => '2',
			cachegroup => '1',
			ilo_ip_address => undef,
			ilo_ip_gateway => undef,
			ilo_username => undef,
			interface_name => 'bond0',
			ip6_gateway => '2033:D011:3300::1',
			ip_gateway => '172.39.19.1',
			router_port_name => undef,
			xmpp_id => 'trmon-cle-02-dummyxmpp',
			ip6_address => '2033:D011:3300::336/64',
			rack => 'RR 119.02',
			xmpp_passwd => 'X',
			tcp_port => '80',
			domain_name => 'cle.kabletown.net',
			interface_mtu => '9000',
			ip_address => '172.39.19.49',
			mgmt_ip_address => undef,
			profile => '20',
			status => '4', #
			ilo_password => undef,
			last_updated => '2015-12-10 15:44:37',
			router_host_name => undef,
			type => '27',
		},
	},
	## id => 78
	'77' => {
		new => 'Server',
		using => {
			host_name => 'trmon-clw-01',
			domain_name => 'clw.kabletown.net',
			ilo_username => undef,
			ip6_gateway => '2033:D021:3300::1',
			ilo_ip_gateway => undef,
			ip_gateway => '172.39.29.1',
			status => '4', #
			xmpp_passwd => 'X',
			ilo_ip_address => undef,
			upd_pending => '0',
			profile => '19',
			type => '27',
			router_host_name => undef,
			router_port_name => undef,
			cachegroup => '2',
			interface_name => 'bond0',
			ip_address => '172.39.29.39',
			mgmt_ip_gateway => undef,
			ilo_password => undef,
			interface_mtu => '9000',
			tcp_port => '80',
			mgmt_ip_netmask => undef,
			xmpp_id => 'trmon-clw-01-dummyxmpp',
			cdn_id => '1',
			ilo_ip_netmask => undef,
			mgmt_ip_address => undef,
			rack => 'RR 119.02',
			ip6_address => '2033:D021:3300::333/64',
			ip_netmask => '255.255.255.0',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '1',
		},
	},
	## id => 79
	'78' => {
		new => 'Server',
		using => {
			host_name => 'trmon-clw-02',
			ilo_ip_netmask => undef,
			interface_name => 'bond0',
			router_port_name => undef,
			type => '27',
			upd_pending => '0',
			ilo_ip_address => undef,
			ilo_ip_gateway => undef,
			ip6_address => '2033:D021:3300::334/64',
			status => '4', #
			tcp_port => '80',
			mgmt_ip_address => undef,
			phys_location => '2',
			mgmt_ip_netmask => undef,
			domain_name => 'clw.kabletown.net',
			ip6_gateway => '2033:D021:3300::1',
			ip_gateway => '172.39.29.1',
			profile => '20',
			rack => 'RR 119.02',
			xmpp_passwd => 'X',
			cachegroup => '2',
			last_updated => '2015-12-10 15:44:37',
			router_host_name => undef,
			interface_mtu => '9000',
			ilo_password => undef,
			ilo_username => undef,
			mgmt_ip_gateway => undef,
			xmpp_id => 'trmon-clw-02-dummyxmpp',
			cdn_id => '2',
			ip_netmask => '255.255.255.0',
			ip_address => '172.39.29.49',
		},
	},
	## id => 80
	'79' => {
		new => 'Server',
		using => {
			host_name => 'trtr-cle-01',
			interface_mtu => '9000',
			mgmt_ip_address => undef,
			upd_pending => '0',
			ilo_ip_address => undef,
			ilo_ip_netmask => undef,
			rack => 'RR 119.02',
			xmpp_id => 'trtr-cle-01-dummyxmpp',
			domain_name => 'cle.kabletown.net',
			ip6_address => '2033:D0D1:3300::335/64',
			ip6_gateway => '2033:D0D1:3300::1',
			ip_gateway => '172.39.99.1',
			mgmt_ip_gateway => undef,
			profile => '1',
			cachegroup => '1',
			ip_address => '172.39.99.39',
			phys_location => '1',
			ilo_ip_gateway => undef,
			last_updated => '2015-12-10 15:44:37',
			mgmt_ip_netmask => undef,
			xmpp_passwd => 'X',
			cdn_id => '1',
			ip_netmask => '255.255.255.0',
			tcp_port => '80',
			router_host_name => undef,
			status => '4', #
			type => '4',
			ilo_password => undef,
			ilo_username => undef,
			interface_name => 'bond0',
			router_port_name => undef,
		},
	},
	## id => 81
	'80' => {
		new => 'Server',
		using => {
			host_name => 'trtr-cle-02',
			ip_gateway => '172.39.99.1',
			phys_location => '2',
			profile => '2',
			type => '4',
			upd_pending => '0',
			xmpp_id => 'trtr-cle-02-dummyxmpp',
			domain_name => 'cle.kabletown.net',
			ilo_ip_gateway => undef,
			xmpp_passwd => 'X',
			interface_name => 'bond0',
			cachegroup => '1',
			cdn_id => '2',
			ilo_ip_netmask => undef,
			mgmt_ip_address => undef,
			mgmt_ip_netmask => undef,
			ilo_username => undef,
			router_port_name => undef,
			ilo_ip_address => undef,
			status => '4', #
			interface_mtu => '9000',
			last_updated => '2015-12-10 15:44:37',
			ip_netmask => '255.255.255.0',
			mgmt_ip_gateway => undef,
			ip6_address => '2033:D0D1:3300::336/64',
			ip6_gateway => '2033:D0D1:3300::1',
			rack => 'RR 119.02',
			router_host_name => undef,
			tcp_port => '80',
			ilo_password => undef,
			ip_address => '172.39.99.49',
		},
	},
	## id => 82
	'81' => {
		new => 'Server',
		using => {
			host_name => 'trtr-clw-01',
			domain_name => 'clw.kabletown.net',
			ip6_address => '2033:D0D1:3300::333/64',
			rack => 'RR 119.02',
			ilo_ip_address => undef,
			ilo_username => undef,
			mgmt_ip_address => undef,
			mgmt_ip_gateway => undef,
			router_host_name => undef,
			status => '4', #
			type => '4',
			profile => '1',
			xmpp_passwd => 'X',
			cachegroup => '2',
			mgmt_ip_netmask => undef,
			cdn_id => '1',
			ilo_password => undef,
			interface_name => 'bond0',
			ip_address => '172.39.39.39',
			ip_gateway => '172.39.39.1',
			router_port_name => undef,
			interface_mtu => '9000',
			ip_netmask => '255.255.255.0',
			ilo_ip_gateway => undef,
			ip6_gateway => '2033:D0D1:3300::1',
			xmpp_id => 'trtr-clw-01-dummyxmpp',
			ilo_ip_netmask => undef,
			last_updated => '2015-12-10 15:44:37',
			phys_location => '1',
			tcp_port => '80',
			upd_pending => '0',
		},
	},
	## id => 83
	'82' => {
		new => 'Server',
		using => {
			host_name => 'trtr-clw-02',
			ilo_username => undef,
			interface_name => 'bond0',
			mgmt_ip_address => undef,
			router_host_name => undef,
			mgmt_ip_gateway => undef,
			rack => 'RR 119.02',
			cachegroup => '2',
			ilo_ip_gateway => undef,
			ilo_password => undef,
			interface_mtu => '9000',
			ip6_address => '2033:D0D1:3300::334/64',
			ip6_gateway => '2033:D0D1:3300::1',
			ip_address => '172.39.39.49',
			ip_netmask => '255.255.255.0',
			status => '4', #
			mgmt_ip_netmask => undef,
			tcp_port => '80',
			last_updated => '2015-12-10 15:44:37',
			phys_location => '2',
			upd_pending => '0',
			cdn_id => '2',
			ilo_ip_netmask => undef,
			xmpp_passwd => 'X',
			profile => '2',
			router_port_name => undef,
			type => '4',
			domain_name => 'clw.kabletown.net',
			ilo_ip_address => undef,
			ip_gateway => '172.39.39.1',
			xmpp_id => 'trtr-clw-02-dummyxmpp',
		},
	},
);

sub name {
		return "Server";
}

sub get_definition {
		my ( $self,
			$name ) = @_;
		return $definition_for{$name};
}

sub all_fixture_names {
	# sort by db xml_id to guarantee insertion order
	return (sort { $definition_for{$a}{using}{host_name} cmp $definition_for{$b}{using}{host_name} } keys %definition_for);
}

__PACKAGE__->meta->make_immutable;
1;
